org.apache.jmeter.report.dashboard

## Class HtmlTemplateExporter

- java.lang.Object
- - org.apache.jmeter.report.dashboard.AbstractDataExporter
  - - org.apache.jmeter.report.dashboard.HtmlTemplateExporter

- All Implemented Interfaces:
    DataExporter

      public class HtmlTemplateExporter
      extends AbstractDataExporter

  The class HtmlTemplateExporter provides a data exporter that generates and processes template files using freemarker.
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATA_CTX_BEGINDATE`
    `static java.lang.String` | `DATA_CTX_ENDDATE`
    `static java.lang.String` | `DATA_CTX_EXTRA_OPTIONS`
    `static java.lang.String` | `DATA_CTX_FILTERS_ONLY_SAMPLE_SERIES`
    `static java.lang.String` | `DATA_CTX_OVERALL_FILTER`
    `static java.lang.String` | `DATA_CTX_REPORT_TITLE`
    `static java.lang.String` | `DATA_CTX_RESULT`
    `static java.lang.String` | `DATA_CTX_SERIES_FILTER`
    `static java.lang.String` | `DATA_CTX_SHOW_CONTROLLERS_ONLY`
    `static java.lang.String` | `DATA_CTX_TESTFILE`
    `static java.lang.String` | `DATA_CTX_TIMEZONE`
    `static java.lang.String` | `DATA_CTX_TIMEZONE_OFFSET`
    `static java.lang.String` | `TIMESTAMP_FORMAT_MS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HtmlTemplateExporter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `export(SampleContext context, java.io.File file, ReportGeneratorConfiguration configuration)` Export data from the specified context using the given configuration.

    - ### Methods inherited from class org.apache.jmeter.report.dashboard.AbstractDataExporter

      `findData, findValue, getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DATA_CTX_REPORT_TITLE

          public static final java.lang.String DATA_CTX_REPORT_TITLE

      See Also:
        Constant Field Values

    - #### DATA_CTX_TESTFILE

          public static final java.lang.String DATA_CTX_TESTFILE

      See Also:
        Constant Field Values

    - #### DATA_CTX_BEGINDATE

          public static final java.lang.String DATA_CTX_BEGINDATE

      See Also:
        Constant Field Values

    - #### DATA_CTX_ENDDATE

          public static final java.lang.String DATA_CTX_ENDDATE

      See Also:
        Constant Field Values

    - #### DATA_CTX_TIMEZONE

          public static final java.lang.String DATA_CTX_TIMEZONE

      See Also:
        Constant Field Values

    - #### DATA_CTX_TIMEZONE_OFFSET

          public static final java.lang.String DATA_CTX_TIMEZONE_OFFSET

      See Also:
        Constant Field Values

    - #### DATA_CTX_OVERALL_FILTER

          public static final java.lang.String DATA_CTX_OVERALL_FILTER

      See Also:
        Constant Field Values

    - #### DATA_CTX_SHOW_CONTROLLERS_ONLY

          public static final java.lang.String DATA_CTX_SHOW_CONTROLLERS_ONLY

      See Also:
        Constant Field Values

    - #### DATA_CTX_RESULT

          public static final java.lang.String DATA_CTX_RESULT

      See Also:
        Constant Field Values

    - #### DATA_CTX_EXTRA_OPTIONS

          public static final java.lang.String DATA_CTX_EXTRA_OPTIONS

      See Also:
        Constant Field Values

    - #### DATA_CTX_SERIES_FILTER

          public static final java.lang.String DATA_CTX_SERIES_FILTER

      See Also:
        Constant Field Values

    - #### DATA_CTX_FILTERS_ONLY_SAMPLE_SERIES

          public static final java.lang.String DATA_CTX_FILTERS_ONLY_SAMPLE_SERIES

      See Also:
        Constant Field Values

    - #### TIMESTAMP_FORMAT_MS

          public static final java.lang.String TIMESTAMP_FORMAT_MS

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### HtmlTemplateExporter

          public HtmlTemplateExporter()

  - ### Method Detail

    - #### export

          public void export(SampleContext context,
                             java.io.File file,
                             ReportGeneratorConfiguration configuration)
                      throws ExportException

      Description copied from interface: `DataExporter`
      Export data from the specified context using the given configuration.
      Parameters:
        `context` - the context (must not be `null`)
        `file` - the file which from samples come (must not be `null`)
        `configuration` - the configuration (must not be `null`)
      Throws:
        `ExportException` - the export exception

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.